# Certificates Covering a Name

Matches records whose ssl.fqdns equals deepinfo.com.

Source: https://docs.deepinfo.com/reference/discovery/domain-search/examples/ssl-fqdns/

Last updated: 2026-09-26

---
`POST https://api.deepinfo.com/v1/discovery/domain-search?page_size=25`

Example 4 of 29 in **Filters › SSL** · [Domain Search Examples](/reference/discovery/domain-search/examples/) · endpoint: [Domain Search](/reference/discovery/domain-search/)

Tags: `field` `ssl.fqdns` · `operator` `eq`

Matches records whose `ssl.fqdns` equals `deepinfo.com`.

`ssl.fqdns` lists the names the certificate is valid for.

In the response, look at `results[].ssl.fqdns`.

## Request

| Parameter | In | Value |
|---|---|---|
| `page_size` | query | `25` |
| `filters.must[0].name` | body | `ssl.fqdns` |
| `filters.must[0].type` | body | `eq` |
| `filters.must[0].value` | body | `deepinfo.com` |

```bash
curl -X POST 'https://api.deepinfo.com/v1/discovery/domain-search?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "must": [
      {
        "name": "ssl.fqdns",
        "type": "eq",
        "value": "deepinfo.com"
      }
    ]
  }
}'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 8 shown

`Content-Type: application/json` · `ratelimit-limit: 1000` · `ratelimit-remaining: 999` · `ratelimit-reset: 1` · `x-ratelimit-limit-hour: 100000` · `x-ratelimit-limit-minute: 10000` · `x-ratelimit-limit-second: 1000` · `x-ratelimit-remaining-hour: 99916` · `x-ratelimit-remaining-minute: 9989` · `x-ratelimit-remaining-second: 999` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 8,
  "results": [
    {
      "punycode": "platform.deepinfo.com",
      "unicode": "platform.deepinfo.com",
      "is_idn": false,
      "subdomain": {
        "punycode": "platform",
        "unicode": "platform",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 8
      },
      "subdomain_last": {
        "punycode": "platform",
        "unicode": "platform",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 8
      },
      "subdomain_root": {
        "punycode": "platform",
        "unicode": "platform",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 8
      },
      "name": {
        "punycode": "platform.deepinfo",
        "unicode": "platform.deepinfo",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 16,
        "lang": "en",
        "keywords": [
          "platform",
          "deep",
          "info"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "deepinfo.com",
        "unicode": "deepinfo.com",
        "is_idn": false,
        "name": {
          "punycode": "deepinfo",
          "unicode": "deepinfo",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 8,
          "lang": "en",
          "keywords": [
            "deep",
            "info"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2001-06-05T02:57:08Z",
          "update_date": "2025-08-19T07:33:45Z",
          "expiry_date": "2028-10-20T11:59:59Z",
          "registrar": "godaddy online services cayman islands ltd.",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "may.ns.cloudflare.com",
            "simon.ns.cloudflare.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clientrenewprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": "whois.uniregistrar.com",
          "check_date": "2026-08-24T17:10:46Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-08-24T17:10:46Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2026-08-24T17:16:16Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-08-17T08:48:46Z",
            "ip_addresses": [
              "104.26.10.21",
              "104.26.11.21",
              "172.67.70.198"
            ]
          }
        },
        "dns_last_change_date": "2026-08-16T16:56:14Z",
        "ip_history": null,
        "ssl": {
          "validity": {
            "start_date": "2026-08-22T16:13:55Z",
            "end_date": "2026-11-20T17:13:40Z"
          },
          "serial_number": "175099252490783179325599447426535789523",
          "check_date": "2026-08-24T18:38:14Z"
        },
        "ssl_last_change_date": "2026-08-22T17:18:09Z"
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-08-12T23:28:10Z",
          "ip_addresses": [
            "104.26.10.21",
            "104.26.11.21",
            "172.67.70.198"
          ]
        },
        "aaaa": {
          "update_date": "2026-08-12T23:28:10Z",
          "ip_addresses": [
            "2606:4700:20::681a:a15",
            "2606:4700:20::681a:b15",
            "2606:4700:20::ac43:46c6"
          ]
        },
        "ns": {
          "update_date": "2026-08-12T23:28:10Z",
          "name_servers": []
        },
        "mx": {
          "update_date": "2026-08-12T23:28:10Z",
          "mail_servers": [
            "smtp.google.com"
          ]
        },
        "soa": {
          "update_date": "2026-08-12T23:28:10Z",
          "mnames": [],
          "rnames": [],
          "rname_emails": []
        },
        "txt": {
          "update_date": "2026-08-12T23:28:10Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-08-12T23:28:10Z",
          "values": []
        },
        "others": [
          {
            "update_date": "2024-07-02T08:02:57Z",
            "values": [
              "\"RFC8482\" \"\""
            ],
            "type": "HINFO"
          },
          {
            "update_date": "2024-07-02T08:02:57Z",
            "values": [],
            "type": "DNSKEY"
          },
          {
            "update_date": "2024-07-02T08:02:57Z",
            "values": [],
            "type": "DS"
          },
          {
            "update_date": "2024-07-02T08:02:57Z",
            "values": [],
            "type": "SPF"
          }
        ]
      },
      "dns_last_change_date": "2025-08-15T07:46:37Z",
      "ip_history": [
        "104.21.29.10",
        "172.67.171.60",
        "104.26.10.21",
        "104.26.11.21",
        "172.67.70.198",
        "188.114.98.236",
        "188.114.99.236"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "deepinfo.com"
        ],
        "version": 3,
        "serial_number": "175099252490783179325599447426535789523",
        "fingerprint": {
          "sha256": "12a3374625c71344dca023d3fd679c8603b98712dc07b5489dde7fd65ad8ce50",
          "sha1": "5102c880b9f106836e519b298180d61b676159c8",
          "md5": "d168f284acc2bd12ef0942ca7b8437ce"
        },
        "validity": {
          "start_date": "2026-08-22T16:13:55Z",
          "end_date": "2026-11-20T17:13:40Z",
          "length": 7779585
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "MEQCIBNf/tDQrmobCrlLn6qx00hK9xB2VIsUv0js2QhljzehAiAK9Wa5vq0T/Nvr+MrtthEr/AY+sHMi+vIKZEgArZAAUg==",
          "algorithm": {
            "oid": "1.2.840.10045.4.3.2",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=WE1,O=Google Trust Services,C=US",
        "issuer": {
          "common_name": "WE1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Google Trust Services",
          "organizational_unit": null
        },
        "subject_dn": "CN=deepinfo.com",
        "subject": {
          "common_name": "deepinfo.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "kHeSNWfE/6jMqeZ72YB5e8yT+Tg=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": false,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-08-22T17:13:56Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "deepinfo.com",
              "*.deepinfo.com"
            ]
          },
          "subject_key_id": "p0cCg0usJcT4dOaSGZXGwJBtEBw="
        },
        "check_date": "2026-08-24T18:38:14Z"
      },
      "ssl_last_change_date": "2026-08-24T18:39:43Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "857c6f89ae07e721ccab9953ef91c41b51a1f7ffab9702c8b9714d85e1b6f759"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://platform.deepinfo.com/",
              "status_code": 301
            },
            {
              "url": "https://platform.deepinfo.com/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://platform.deepinfo.com/",
          "final_fqdn": "platform.deepinfo.com",
          "final_domain": "deepinfo.com",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Mon, 04 May 2026 23:30:33 GMT"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              },
              {
                "name": "nel",
                "value": "{\"report_to\":\"cf-nel\",\"success_fraction\":0.0,\"max_age\":604800}"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "report_to",
                "value": "{\"group\":\"cf-nel\",\"max_age\":604800,\"endpoints\":[{\"url\":\"https://a.nel.cloudflare.com/report/v4?s=qG7h4JzByf7bVSlsTf3o3nCtMAutKWInQcE2IvS2%2BdLZCvgkkM5B6L9pKWIb9Pu7yPpGQakBlZBVNOZclXLxfdPt9pi72d7f3Kfj3NMb7tK7AsHUdGVXJCEFPaAEQl3HH7of27aPMQ%3D%3D\"}]}"
              },
              {
                "name": "deepinfo_request_id",
                "value": "0907ddbc-e294-4e32-bc39-ac086d952b5c"
              },
              {
                "name": "cf_cache_status",
                "value": "DYNAMIC"
              },
              {
                "name": "cf_ray",
                "value": "9f6b4b3e3830fa23-ORD"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html; charset=UTF-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": "Mon, 04 May 2026 11:00:24 GMT",
            "permission_policy": null,
            "referrer_policy": null,
            "server": "cloudflare",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": "nosniff",
            "x_download_options": null,
            "x_frame_options": "DENY",
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "sites.deepinfo.com",
      "unicode": "sites.deepinfo.com",
      "is_idn": false,
      "subdomain": {
        "punycode": "sites",
        "unicode": "sites",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 5
      },
      "subdomain_last": {
        "punycode": "sites",
        "unicode": "sites",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 5
      },
      "subdomain_root": {
        "punycode": "sites",
        "unicode": "sites",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 5
      },
      "name": {
        "punycode": "sites.deepinfo",
        "unicode": "sites.deepinfo",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 13,
        "lang": "en",
        "keywords": [
          "sites",
          "deep",
          "info"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "deepinfo.com",
        "unicode": "deepinfo.com",
        "is_idn": false,
        "name": {
          "punycode": "deepinfo",
          "unicode": "deepinfo",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 8,
          "lang": "en",
          "keywords": [
            "deep",
            "info"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2001-06-05T02:57:08Z",
          "update_date": "2025-08-19T07:33:45Z",
          "expiry_date": "2028-10-20T11:59:59Z",
          "registrar": "godaddy online services cayman islands ltd.",
          "registrant": {
            "name": "registration private",
            "organization": "domains by proxy, llc",
            "street": "domainsbyproxy.com",
            "city": "tempe",
            "state": "arizona",
            "postal_code": "85281",
            "country": "us",
            "phone": "+1.4806242599",
            "email": "https://www.godaddy.com/whois/results.aspx?domain=deepinfo.com&action=contactdomainowner"
          },
          "name_servers": [
            "may.ns.cloudflare.com",
            "simon.ns.cloudflare.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clientrenewprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": "whois.uniregistrar.com",
          "check_date": "2026-08-11T03:25:03Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": "domainsbyproxyllc",
            "phone": "14806242599",
            "email": null,
            "email_fqdn_apex": null,
            "email_domain_apex": null
          }
        },
        "whois_last_check_date": "2026-08-11T03:25:03Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2026-08-11T03:01:30Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": true,
        "dns": {
          "a": {
            "update_date": "2026-08-09T03:36:51Z",
            "ip_addresses": [
              "104.26.10.21",
              "104.26.11.21",
              "172.67.70.198"
            ]
          }
        },
        "dns_last_change_date": "2026-07-21T18:18:11Z",
        "ip_history": null,
        "ssl": {
          "validity": {
            "start_date": "2026-06-03T16:27:33Z",
            "end_date": "2026-09-01T17:27:27Z"
          },
          "serial_number": "61855234530828088905432121166750302202",
          "check_date": "2026-08-11T04:05:06Z"
        },
        "ssl_last_change_date": "2026-08-07T12:22:59Z"
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-06-28T11:37:05Z",
          "ip_addresses": [
            "104.26.10.21",
            "104.26.11.21",
            "172.67.70.198"
          ]
        },
        "aaaa": {
          "update_date": "2026-06-28T11:37:05Z",
          "ip_addresses": [
            "2606:4700:20::681a:a15",
            "2606:4700:20::681a:b15",
            "2606:4700:20::ac43:46c6"
          ]
        },
        "ns": {
          "update_date": "2026-06-28T11:37:05Z",
          "name_servers": []
        },
        "mx": {
          "update_date": "2026-06-28T11:37:05Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-06-28T11:37:05Z",
          "mnames": [],
          "rnames": [],
          "rname_emails": []
        },
        "txt": {
          "update_date": "2026-06-28T11:37:05Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-06-28T11:37:05Z",
          "values": []
        },
        "others": [
          {
            "update_date": "2024-07-02T08:05:18Z",
            "values": [],
            "type": "DNSKEY"
          },
          {
            "update_date": "2024-07-02T08:05:18Z",
            "values": [],
            "type": "DS"
          },
          {
            "update_date": "2024-07-02T08:05:18Z",
            "values": [],
            "type": "SPF"
          },
          {
            "update_date": "2024-07-02T08:05:18Z",
            "values": [
              "\"RFC8482\" \"\""
            ],
            "type": "HINFO"
          }
        ]
      },
      "dns_last_change_date": "2024-02-14T01:20:58Z",
      "ip_history": [
        "104.26.10.21",
        "104.26.11.21",
        "172.67.70.198"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "deepinfo.com"
        ],
        "version": 3,
        "serial_number": "294025305291592463081728235283740205912",
        "fingerprint": {
          "sha256": "89270a8f0514627a26928712e92cbefbb5d3f66e18df0bc5a12ed8e772c883d9",
          "sha1": "a9fcc445c4ef545eaf05decca222218d44c8fbab",
          "md5": "d8cd8dd958879cecfeae74a98b5f1fc6"
        },
        "validity": {
          "start_date": "2026-06-24T13:16:53Z",
          "end_date": "2026-09-22T14:16:46Z",
          "length": 7779593
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "MEYCIQD06Pz/4SU0MdI3RzKvdIUC97ZbjInQoJGFm2ig/qe2ggIhAJSMV0hV6c7Kdh6nW9vjPwJ3uj73Ksxd3rISFj/HwzJK",
          "algorithm": {
            "oid": "1.2.840.10045.4.3.2",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=WE1,O=Google Trust Services,C=US",
        "issuer": {
          "common_name": "WE1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Google Trust Services",
          "organizational_unit": null
        },
        "subject_dn": "CN=deepinfo.com",
        "subject": {
          "common_name": "deepinfo.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "kHeSNWfE/6jMqeZ72YB5e8yT+Tg=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": false,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-06-24T14:16:53Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "deepinfo.com",
              "*.deepinfo.com"
            ]
          },
          "subject_key_id": "GfpnN8kRfVS0wFz4YbkEUkS/wEw="
        },
        "check_date": "2026-08-10T21:47:19Z"
      },
      "ssl_last_change_date": "2026-08-10T21:31:34Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "4e29160017973f59a76509ac7313f21c3206db7e1fe00b9925a7d9a4bffe3099"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://sites.deepinfo.com/",
              "status_code": 301
            },
            {
              "url": "https://sites.deepinfo.com/",
              "status_code": 302
            },
            {
              "url": "http://sites.google.com/a/deepinfo.com/sites/system/app/pages/meta/dashboard",
              "status_code": 302
            },
            {
              "url": "https://sites.google.com/a/deepinfo.com/sites/system/app/pages/meta/dashboard",
              "status_code": 302
            },
            {
              "url": "https://www.google.com/a/deepinfo.com/ServiceLogin?service=jotspot&passive=1209600&continue=https://sites.google.com/a/deepinfo.com/sites/system/app/pages/meta/dashboard&followup=https://sites.google.com/a/deepinfo.com/sites/system/app/pages/meta/dashboard&ul=1",
              "status_code": 200
            }
          ],
          "external_redirection": true,
          "final_url": "https://www.google.com/a/deepinfo.com/ServiceLogin?service=jotspot&passive=1209600&continue=https://sites.google.com/a/deepinfo.com/sites/system/app/pages/meta/dashboard&followup=https://sites.google.com/a/deepinfo.com/sites/system/app/pages/meta/dashboard&ul=1",
          "final_fqdn": "www.google.com",
          "final_domain": "google.com",
          "headers": {
            "others": [
              {
                "name": "pragma",
                "value": "no-cache"
              },
              {
                "name": "expires",
                "value": "Mon, 01-Jan-1990 00:00:00 GMT"
              },
              {
                "name": "date",
                "value": "Tue, 02 Jul 2024 08:06:00 GMT"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "no-cache, no-store",
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": "script-src 'unsafe-inline' https: http:;object-src 'none';base-uri 'self';report-uri /cspreport",
            "content_type": "text/html; charset=UTF-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "GSE",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": "nosniff",
            "x_download_options": null,
            "x_frame_options": "DENY",
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": "1; mode=block"
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "api.deepinfo.com",
      "unicode": "api.deepinfo.com",
      "is_idn": false,
      "subdomain": {
        "punycode": "api",
        "unicode": "api",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_last": {
        "punycode": "api",
        "unicode": "api",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_root": {
        "punycode": "api",
        "unicode": "api",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "name": {
        "punycode": "api.deepinfo",
        "unicode": "api.deepinfo",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 11,
        "lang": "en",
        "keywords": [
          "api",
          "deep",
          "info"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "deepinfo.com",
        "unicode": "deepinfo.com",
        "is_idn": false,
        "name": {
          "punycode": "deepinfo",
          "unicode": "deepinfo",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 8,
          "lang": "en",
          "keywords": [
            "deep",
            "info"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2001-06-05T02:57:08Z",
          "update_date": "2025-08-19T07:33:45Z",
          "expiry_date": "2028-10-20T11:59:59Z",
          "registrar": "godaddy online services cayman islands ltd.",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "may.ns.cloudflare.com",
            "simon.ns.cloudflare.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clientrenewprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": "whois.uniregistrar.com",
          "check_date": "2026-08-12T21:25:04Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-08-12T21:25:04Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2026-08-12T21:27:22Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-08-09T03:36:51Z",
            "ip_addresses": [
              "104.26.10.21",
              "104.26.11.21",
              "172.67.70.198"
            ]
          }
        },
        "dns_last_change_date": "2026-07-21T18:18:11Z",
        "ip_history": null,
        "ssl": {
          "validity": {
            "start_date": "2026-06-03T16:27:33Z",
            "end_date": "2026-09-01T17:27:27Z"
          },
          "serial_number": "61855234530828088905432121166750302202",
          "check_date": "2026-08-12T21:49:35Z"
        },
        "ssl_last_change_date": "2026-08-07T12:22:59Z"
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-08-06T10:36:39Z",
          "ip_addresses": [
            "104.26.10.21",
            "104.26.11.21",
            "172.67.70.198"
          ]
        },
        "aaaa": {
          "update_date": "2026-08-06T10:36:39Z",
          "ip_addresses": [
            "2606:4700:20::681a:a15",
            "2606:4700:20::681a:b15",
            "2606:4700:20::ac43:46c6"
          ]
        },
        "ns": {
          "update_date": "2026-08-06T10:36:39Z",
          "name_servers": []
        },
        "mx": {
          "update_date": "2026-08-06T10:36:39Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-08-06T10:36:39Z",
          "mnames": [],
          "rnames": [],
          "rname_emails": []
        },
        "txt": {
          "update_date": "2026-08-06T10:36:39Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-08-06T10:36:39Z",
          "values": []
        },
        "others": [
          {
            "update_date": "2024-07-02T08:04:56Z",
            "values": [
              "\"RFC8482\" \"\""
            ],
            "type": "HINFO"
          },
          {
            "update_date": "2024-07-02T08:04:56Z",
            "values": [],
            "type": "DNSKEY"
          },
          {
            "update_date": "2024-07-02T08:04:56Z",
            "values": [],
            "type": "DS"
          },
          {
            "update_date": "2024-07-02T08:04:56Z",
            "values": [],
            "type": "SPF"
          }
        ]
      },
      "dns_last_change_date": "2024-02-16T08:07:07Z",
      "ip_history": [
        "104.26.10.21",
        "104.26.11.21",
        "172.67.70.198"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "deepinfo.com"
        ],
        "version": 3,
        "serial_number": "294025305291592463081728235283740205912",
        "fingerprint": {
          "sha256": "89270a8f0514627a26928712e92cbefbb5d3f66e18df0bc5a12ed8e772c883d9",
          "sha1": "a9fcc445c4ef545eaf05decca222218d44c8fbab",
          "md5": "d8cd8dd958879cecfeae74a98b5f1fc6"
        },
        "validity": {
          "start_date": "2026-06-24T13:16:53Z",
          "end_date": "2026-09-22T14:16:46Z",
          "length": 7779593
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "MEYCIQD06Pz/4SU0MdI3RzKvdIUC97ZbjInQoJGFm2ig/qe2ggIhAJSMV0hV6c7Kdh6nW9vjPwJ3uj73Ksxd3rISFj/HwzJK",
          "algorithm": {
            "oid": "1.2.840.10045.4.3.2",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=WE1,O=Google Trust Services,C=US",
        "issuer": {
          "common_name": "WE1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Google Trust Services",
          "organizational_unit": null
        },
        "subject_dn": "CN=deepinfo.com",
        "subject": {
          "common_name": "deepinfo.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "kHeSNWfE/6jMqeZ72YB5e8yT+Tg=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": false,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-06-24T14:16:53Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "deepinfo.com",
              "*.deepinfo.com"
            ]
          },
          "subject_key_id": "GfpnN8kRfVS0wFz4YbkEUkS/wEw="
        },
        "check_date": "2026-08-12T12:08:51Z"
      },
      "ssl_last_change_date": "2026-08-12T06:41:32Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "8e074f0121d10c5267ade03a6c032ed5ae12d2c60e6fbf5e590c3635d1457958"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 520,
          "redirection_history": [
            {
              "url": "http://api.deepinfo.com/",
              "status_code": 301
            },
            {
              "url": "https://api.deepinfo.com/",
              "status_code": 520
            }
          ],
          "external_redirection": false,
          "final_url": "https://api.deepinfo.com/",
          "final_fqdn": "api.deepinfo.com",
          "final_domain": "deepinfo.com",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Sat, 14 Feb 2026 09:12:12 GMT"
              },
              {
                "name": "content_length",
                "value": "7347"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              },
              {
                "name": "expires",
                "value": "Thu, 01 Jan 1970 00:00:01 GMT"
              },
              {
                "name": "cf_ray",
                "value": "9cdb7145cd4a0010-ORD"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "private, max-age=0, no-store, no-cache, must-revalidate, post-check=0, pre-check=0",
            "clear_site_data": null,
            "content_encoding": null,
            "content_security_policy": null,
            "content_type": "text/html; charset=UTF-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": "same-origin",
            "server": "cloudflare",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": "SAMEORIGIN",
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    }
  ]
}
```

## Related Examples

- [Certificate by SHA-256 Fingerprint](/reference/discovery/domain-search/examples/ssl-fingerprint-sha256/)
- [Certificate by SHA-1 Fingerprint](/reference/discovery/domain-search/examples/ssl-fingerprint-sha1/)
- [Certificate by MD5 Fingerprint](/reference/discovery/domain-search/examples/ssl-fingerprint-md5/)
- [Self-Signed Certificates](/reference/discovery/domain-search/examples/ssl-signature-is-self-signed/)
- [Certificates With a Valid Signature](/reference/discovery/domain-search/examples/ssl-signature-is-valid/)
- [Issuer Distinguished Name](/reference/discovery/domain-search/examples/ssl-issuer-dn/)
